/*****************************************************************************
 *                                                                           *
 *  Title   :   Space.c for CMD CSA-6460 (clbi) driver                       *  
 *  Version :   0.2                                                          *
 *  Date    :   22-Dec-1993                                                  *
 *  Author  :   Anthony Truong                                               *
 *                                                                           *
 *****************************************************************************
 *  Copyright (C) CMD Technology, Inc., 1995.                                *
 *****************************************************************************
 *                                                                           *
 * ------------------------------------------------------------------------- *
 * Revision History:                                                         *
 *                                                                           *
 *    DATE     REV                 DESCRIPTION                               *
 * ----------- --- --------------------------------------------------------- *
 * 22-Dec-1993 AT  Created                                                   *
 *****************************************************************************/


/*
 * Defines for clbiiflags
 */

#define    ICF_ZEROCMDTIM   0x0001              /* zero CMDTIM ch 1           */
#define    ICF_ZEROCH2      0x0002              /* zero ARTIM23, DWRTIM23 ch2 */
#define    ICF_ENACH1RDA    0x0004              /* enable read ahead on ch 1  */
#define    ICF_ENACH2RDA    0x0008              /* enable read ahead on ch 2  */

#include <sys/types.h>

int    clbi2_on = 0,                            /* Enable Secondary.         */
       lbspeed  = 33;                           /* External Clock Speed.     */
ulong clbiom_mask    = 0xFFFFFFFF;              /* obsolete.                 */
ulong clbiBus_Master = 0x500;                   /* Bus Master Base Address.  */
int clbiiflags = (ICF_ZEROCMDTIM | ICF_ZEROCH2 | ICF_ENACH1RDA | ICF_ENACH2RDA);

/*
 * Special tunning parameters on per drive bases.
 *
 * One entry per drive.
 *
 *     Operation Mode   -    0 ->PIO  ,1 - SWord DMA ,2 ->MWord DMA ,-1 Auto.
 *
 *     DMA/PIO Mode     -    0 - N    Valid DMA/PIO mode.
 *                           -1       Highest Supported PIO/DMA mode.
 *
 */

int        clbiDriveModeOverRide[] =
                            {
/*
 *             Operartion Mode, DMA/PIO Mode.
 *             ---------------  --------------
 */

                          -1    ,  -1,        /* Default Highest PIO mode.    */
                          -1    ,  -1,        /* Default Highest PIO mode.    */
                          -1    ,  -1,        /* Default Highest PIO mode.    */
                          -1    ,  -1         /* Default Highest PIO mode.    */
                };


